package lapes.ufscar.br.Exemplo01;
import org.openqa.selenium.By;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.chrome.ChromeDriver;
import org.openqa.selenium.support.FindBy;
import org.openqa.selenium.support.PageFactory;
import org.openqa.selenium.support.ui.Select;

public class LoginPagina implements ILogin{

	private static WebDriver driver;
	
	@FindBy(name="usuario")
	private WebElement usuario;
	
	@FindBy(name="senha")
	private WebElement senha;

	@FindBy(xpath="//input[@type='submit']")
	private WebElement botao;

	public LoginPagina() {
		super();
		
		System.setProperty("webdriver.chrome.driver",
				"C:\\Users\\cavamura\\Desktop\\chromedriver_win32\\chromedriver.exe");
		driver = new ChromeDriver();
		driver.get("http://lcvm.com.br/sistemas/aulateste/admin/registros/");
		PageFactory.initElements(driver, this);
		
	}
	
	
	public void setConteudoUsuario(String usuario) {
		this.usuario.sendKeys(usuario);
	}
	
	public void setConteudoSenha(String senha) {
		this.senha.sendKeys(senha);
	}
	
	public String executaLogin(String usuario, String senha) {
		this.setConteudoUsuario(usuario);
		this.setConteudoSenha(senha);
		this.botao.click();
		return driver.getCurrentUrl();
	}
	
	
}
